package com.hxhq.business.enums.study;

/**
 * 试验借阅状态1未借阅，5待借阅，10借阅中
 * @author tanfei
 */
public enum StudyBorrowStatusEnum {

    /**
     * 1未借阅
     */
    wjy(1, "未借阅"),

    /**
     * 5待借阅
     */
    djy(5, "待借阅"),

    /**
     * 10借阅中
     */
    jyz(10, "借阅中");

    private int value;
    private String text;

    StudyBorrowStatusEnum(int value, String text) {
        this.value = value;
        this.text = text;
    }

    public int getValue() {
        return value;
    }

    public void setValue(int value) {
        this.value = value;
    }

    public String getText() {
        return text;
    }

    public void setText(String text) {
        this.text = text;
    }

    public static StudyBorrowStatusEnum getEnumByValue(int type) {
        for (StudyBorrowStatusEnum bt : values()) {
            if (bt.value == type) {
                return bt;
            }
        }
        return null;
    }
}
